Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2441)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2442)
@@ -63,11 +63,13 @@
  * @author jmague, mdecorde
  */
 public class MainCorpus extends CQPCorpus {
-
+	
 	protected File cqpFile;
+	
 	protected File dataDirectory;
+	
 	protected boolean modified = false;
-
+	
 	protected File registryFile;
 	
 	/**
@@ -77,10 +79,9 @@
 	 */
 	public MainCorpus(Partition partition) {
 		super(partition);
-		this.internalPersistable = true;
 		throw new IllegalArgumentException("Maincorpus parent must not be a Partition");
 	}
-
+	
 	/**
 	 * Instantiates a new corpus. This constructor is not intended to be used
 	 * directly. Use {@link CorpusManager#getCorpus(String)}.
@@ -92,9 +93,8 @@
 	 */
 	public MainCorpus(Project project) throws InvalidCqpIdException, CqiClientException {
 		super(project);
-		this.internalPersistable = true;
 	}
-
+	
 	/**
 	 * Instantiates a new corpus. This constructor is not intended to be used
 	 * directly. Use {@link CorpusManager#getCorpus(String)}.
@@ -106,16 +106,15 @@
 	 */
 	public MainCorpus(String parametersNodePath) throws InvalidCqpIdException, CqiClientException {
 		super(parametersNodePath);
-		this.internalPersistable = true;
-
+		
 		if (getID() != null && getProjectDirectory() != null) {
 			compute(false);
 		}
 	}
-
+	
 	@Override
 	protected boolean _compute() throws Exception {
-
+		
 		if (!CQPSearchEngine.isInitialized()) {
 			Log.warning("** TXM can't load MainCorpus when CQP search engine is not ready.");
 			return false;
@@ -125,29 +124,31 @@
 			Log.severe("** TXM can't load this MainCorpus: no CQP ID set.");
 			return false;
 		}
-
+		
 		HashMap<String, MainCorpus> corpora = CorpusManager.getCorpusManager().getCorpora();
 		if (CorpusManager.getCorpusManager().hasCorpus(this)) {
-			Log.severe(NLS.bind("** The \"{0}\" MainCorpus object in the \"{1}\" project can not be computed: another one with the same CQP identifier has already been computed.", this.pID, this.getProjectDirectory()));
+			Log.severe(NLS.bind("** The \"{0}\" MainCorpus object in the \"{1}\" project can not be computed: another one with the same CQP identifier has already been computed.", this.pID, this
+					.getProjectDirectory()));
 			return false;
 		}
 		CorpusManager.getCorpusManager().add(this);
-
-		this.dataDirectory = new File(getProjectDirectory(), "data/"+getID());
-		this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
 		
+		this.dataDirectory = new File(getProjectDirectory(), "data/" + getID());
+		this.registryFile = new File(getProjectDirectory(), "registry/" + getID().toLowerCase());
+		
 		if (!dataDirectory.exists()) {
-			Log.warning("MainCorpus data files not found: "+dataDirectory);
+			Log.warning("MainCorpus data files not found: " + dataDirectory);
 			return false;
 		}
 		if (!registryFile.exists()) {
-			Log.warning("MainCorpus registry file not found: "+registryFile);
+			Log.warning("MainCorpus registry file not found: " + registryFile);
 			return false;
 		}
 		try {
 			try {
 				PatchCwbRegistry.patch(this.registryFile, this.dataDirectory);
-			} catch (IOException e) {
+			}
+			catch (IOException e) {
 				Log.severe(TXMCoreMessages.bind("Error while updating the {0} registry file .", this.registryFile));
 				Log.printStackTrace(e);
 				return false;
@@ -156,14 +157,15 @@
 			CQPSearchEngine.getCqiClient().load_a_system_corpus(this.registryFile.getParent(), this.pID);
 			
 			corpora.put(this.pID, this); // register the corpus
-		} catch(Exception e) {
-			Log.severe("MainCorpus not loaded: "+e);
+		}
+		catch (Exception e) {
+			Log.severe("MainCorpus not loaded: " + e);
 			if (corpora.get(this.pID) == this) {
 				corpora.remove(this.pID); // unregister the broken corpus
 			}
 			return false;
 		}
-
+		
 		return true;
 	}
 	
@@ -173,31 +175,34 @@
 			if (hasBeenComputedOnce && this.pID != null) {
 				CorpusManager.getCorpusManager().deleteCorpus(this);
 			}
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.txm.searchengine.cqp.corpus.Corpus#load()
 	 */
+	@Override
 	public boolean _load(Element e) {
 		boolean ret = super._load(e);
-
+		
 		// FIXME: test to create a project scope
-		//		CorpusScope scope = new CorpusScope(this.getName(), this.getProjectDirectory());
-		//		CorpusScope.addScope(scope);
-
+		// CorpusScope scope = new CorpusScope(this.getName(), this.getProjectDirectory());
+		// CorpusScope.addScope(scope);
+		
 		return ret;
 	}
-
-
+	
+	
 	@Override
 	public boolean canCompute() throws Exception {
 		return this.pID != null && this.pID.length() > 0;
 	}
-
+	
 	/**
 	 * Check whether the ID is a valid CQP ID.
 	 * 
@@ -215,46 +220,48 @@
 			throw new InvalidCqpIdException(pID + TXMCoreMessages.isNotAValidCQPIDForACorpusItMustBeInUppercaseCharacters);
 		return true;
 	}
-
+	
 	@Override
 	public void clean() {
 		super.clean();
-
+		
 		if (CorpusManager.getCorpusManager().getCorpora().get(this.pID) == this) { // un register the MainCorpus
 			CorpusManager.getCorpusManager().getCorpora().remove(this.pID);
 		}
-
+		
 		try {
 			if (CQPSearchEngine.isInitialized()) {
 				CQPSearchEngine.getCqiClient().dropCorpus(getID());
 			}
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.fine(e.getLocalizedMessage());
 			Log.printStackTrace(e);
 		}
-
+		
 		if (dataDirectory != null) {
 			DeleteDir.deleteDirectory(dataDirectory);
 		}
 		if (registryFile != null) {
 			registryFile.delete();
 		}
-
+		
 		Toolbox.notifyEngines(this, "clean");
 		
-		cqpFile = null;;
+		cqpFile = null;
+		;
 		dataDirectory = null;
 		nbtext = -1;
 		registryFile = null;
 		textEndLimits = null;
 		textids = null;
 	}
-
+	
 	public boolean equals(MainCorpus corpus) {
 		if (corpus == null) return false;
 		return this.getQualifiedCqpId().equals(corpus.getQualifiedCqpId());
 	}
-
+	
 	/**
 	 * Export.
 	 *
@@ -262,14 +269,13 @@
 	 * @return true, if successful
 	 */
 	@Override
-	public boolean export(File exportzip)
-	{
+	public boolean export(File exportzip) {
 		return export(exportzip, null);
 	}
-
-
-
-
+	
+	
+	
+	
 	/**
 	 * Export.
 	 *
@@ -277,21 +283,21 @@
 	 * @return true, if successful
 	 */
 	@Override
-	public boolean export(File exportzip, IProgressMonitor monitor)
-	{
+	public boolean export(File exportzip, IProgressMonitor monitor) {
 		if (this.getProject() != null) {
 			try {
 				this.getProject().saveParameters(true); // write parameters in preferences
 				this.getProject().persist(true); // save preferences
 				return this.getProject().export(exportzip, monitor);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
 		}
 		return false;
 	}
-
+	
 	/**
 	 * Find text no.
 	 *
@@ -301,32 +307,33 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError the cqi server error
 	 */
-	public int findTextNo(String textid) throws CqiClientException, IOException, CqiServerError
-	{
+	public int findTextNo(String textid) throws CqiClientException, IOException, CqiServerError {
 		HashMap<String, Integer> idsmap = this.getTextsIds();
 		if (idsmap.containsKey(textid))
 			return idsmap.get(textid);
 		else
 			return -1;
 	}
-
+	
 	@Override
 	public String getDetails() {
 		try {
-			return this.getName()+" T="+this.getSize();
-		} catch (CqiClientException e) {
+			return this.getName() + " T=" + this.getSize();
+		}
+		catch (CqiClientException e) {
 			return "corpus not ready.";
 		}
 	}
-
+	
 	@Override
 	public String getComputingDoneMessage() {
 		if (hasBeenComputedOnce()) {
 			return getDetails();
-		} else {
+		}
+		else {
 			return "";
 		}
-		//return TXMCoreMessages.common_done;
+		// return TXMCoreMessages.common_done;
 	}
 	
 	/**
@@ -337,6 +344,7 @@
 	public int getFirstPosition() {
 		return 0;
 	}
+	
 	/**
 	 * Gets the full name.
 	 * 
@@ -348,28 +356,30 @@
 	public String getFullName() throws CqiClientException {
 		try {
 			return CorpusManager.getCorpusManager().getCqiClient().corpusFullName(this.pID);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-
+		
 	}
-
+	
 	@Override
 	public List<Match> getMatches() {
-		List<Match> rez = new ArrayList<Match>();
+		List<Match> rez = new ArrayList<>();
 		try {
-			rez.add(new Match(0, this.getSize()-1));
+			rez.add(new Match(0, this.getSize() - 1));
 			return rez;
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 		return null;
 	}
-
+	
 	public int getNMatch() {
 		return 1;
 	}
-
+	
 	/**
 	 * Gets the properties available in this corpus.
 	 * 
@@ -382,37 +392,38 @@
 	public List<WordProperty> getProperties() throws CqiClientException {
 		if (this.lexicalUnitsProperties != null)
 			return this.lexicalUnitsProperties;
-
+		
 		String[] propertiesName;
 		CorpusManager cm = null;
 		AbstractCqiClient cc = null;
 		try {
 			cm = CorpusManager.getCorpusManager();
 			cc = cm.getCqiClient();
-
+			
 			// if (cc != null)
 			// System.out.println("cqiclient OK");
-
-		} catch (Exception e) {
+			
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
 		try {
 			// System.out.println(this.pID); // temp : toLowerCAse
 			propertiesName = cc.corpusPositionalAttributes(this.pID);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-		List<WordProperty> properties = new ArrayList<WordProperty>(
+		List<WordProperty> properties = new ArrayList<>(
 				propertiesName.length);
 		for (int i = 0; i < propertiesName.length; i++)
 			properties.add(new WordProperty(propertiesName[i], this));
 		this.lexicalUnitsProperties = properties;
 		return properties;
 	}
-
+	
 	/*
 	 * (non-Javadoc)
-	 * 
 	 * @see
 	 * org.txm.searchengine.cqp.corpus.Corpus#getProperty(java.lang.
 	 * String)
@@ -422,12 +433,12 @@
 		if (this.lexicalUnitsProperties == null) {
 			getProperties();
 		}
-
+		
 		int idx = name.indexOf(".");
 		if (idx > 0) { // the name if a qualified name
-			name = name.substring(idx+1);
+			name = name.substring(idx + 1);
 		}
-
+		
 		for (WordProperty property : this.lexicalUnitsProperties) {
 			if (property.getName().equals(name)) {
 				return property;
@@ -435,10 +446,9 @@
 		}
 		return null;
 	}
-
+	
 	/*
 	 * (non-Javadoc)
-	 * 
 	 * @see
 	 * org.txm.searchengine.cqp.corpus.CqpObject#getQualifiedCqpId()
 	 */
@@ -446,12 +456,12 @@
 	public String getQualifiedCqpId() {
 		return pID;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return "Corpus";
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		if (modified) {
@@ -461,46 +471,45 @@
 			return getName();
 		}
 	}
-
+	
 	/*
 	 * (non-Javadoc)
-	 * 
 	 * @see org.txm.searchengine.cqp.corpus.Corpus#getSize()
 	 */
 	@Override
 	public int getSize() throws CqiClientException {
 		if (!hasBeenComputedOnce) return 0;
-
+		
 		if (this.size == -1) {
 			try {
 				this.size = CorpusManager.getCorpusManager().getCqiClient()
 						.attributeSize(this.pID + ".word"); //$NON-NLS-1$
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				throw new CqiClientException(e);
 			}
 		}
 		return this.size;
 	}
-
+	
 	/**
-	 * Return the CQP START positions of the result matches of the 'cql_limit' query 
+	 * Return the CQP START positions of the result matches of the 'cql_limit' query
 	 */
 	@Override
 	public int[] getStartLimits(String cql_limit) throws IOException, CqiServerError, InvalidCqpIdException, CqiClientException {
 		String queryResultId = queryResultNamePrefix + UUID.randomUUID().toString();
 		CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
-				this.getQualifiedCqpId(), queryResultId, CQLQuery.fixQuery(cql_limit)); //$NON-NLS-1$
-		QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new CQLQuery(cql_limit));
-
-		int[] rez =  queryResult.getStarts();
+				this.getQualifiedCqpId(), queryResultId, CQLQuery.fixQuery(cql_limit)); // $NON-NLS-1$
+		QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this, new CQLQuery(cql_limit));
+		
+		int[] rez = queryResult.getStarts();
 		queryResult.drop();
 		return rez;
 	}
-
-
+	
+	
 	/*
 	 * (non-Javadoc)
-	 * 
 	 * @see
 	 * org.txm.searchengine.cqp.corpus.Corpus#getStructuralUnit(java
 	 * .lang.String)
@@ -517,6 +526,7 @@
 		}
 		return null;
 	}
+	
 	/**
 	 * Gets the structural attributes available in this corpus.
 	 * 
@@ -529,14 +539,15 @@
 	public List<StructuralUnit> getStructuralUnits() throws CqiClientException {
 		if (this.structuralUnits != null)
 			return this.structuralUnits;
-
+		
 		// get structures' name
 		Set<String> cqpNames;
 		try {
 			String[] names = CorpusManager.getCorpusManager().getCqiClient()
 					.corpusStructuralAttributes(this.pID);
-			cqpNames = new HashSet<String>(Arrays.asList(names));
-		} catch (Exception e) {
+			cqpNames = new HashSet<>(Arrays.asList(names));
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
 		// What we call a structural unit is called a structural attribute by
@@ -550,15 +561,16 @@
 		// Here, we go through all the structural attribute known by cqp to
 		// decide which is a structural unit and which
 		// an attribute of a structural unit
-
-		Map<String, List<String>> attributes = new HashMap<String, List<String>>();
-
+		
+		Map<String, List<String>> attributes = new HashMap<>();
+		
 		for (String name : cqpNames) {
 			if (!attributes.containsKey(name)) {
 				int _ = name.lastIndexOf("_"); //$NON-NLS-1$
 				if (_ == -1 || !cqpNames.contains(name.substring(0, _))) {
 					attributes.put(name, new ArrayList<String>());
-				} else {
+				}
+				else {
 					String unitName = name.substring(0, _);
 					String attributeName = name.substring(_ + 1);
 					if (!attributes.containsKey(unitName)) {
@@ -568,65 +580,74 @@
 				}
 			}
 		}
-
-		this.structuralUnits = new ArrayList<StructuralUnit>();
+		
+		this.structuralUnits = new ArrayList<>();
 		for (String strucuralUnit : attributes.keySet())
 			this.structuralUnits.add(new StructuralUnit(strucuralUnit,
 					attributes.get(strucuralUnit), this));
-
+		
 		return this.structuralUnits;
 	}
-
-
-	public boolean isModified() { return modified; }
-
+	
+	
+	public boolean isModified() {
+		return modified;
+	}
+	
 	@Override
 	public boolean loadParameters() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() throws Exception {
 		return true;
 	}
-
+	
+	@Override
 	protected void setID(String id) {
 		this.pID = id;
 	}
-
-	public void setIsModified(boolean b) { modified = b; }
-
+	
+	@Override
+	public void setIsModified(boolean b) {
+		modified = b;
+	}
+	
+	@Override
 	public void setName(String name) {
 		this.userName = name;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws Exception {
 		return true;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
 	public String toString() {
 		return this.pID;
 	}
-
+	
 	@Override
 	public boolean toTxt(File arg0, String arg1, String arg2, String arg3) throws Exception {
 		// TODO Auto-generated method stub
 		return true;
 	}
-
+	
 	@Override
 	public CorpusBuild getRootCorpusBuild() {
 		return this;
 	}
-
+	
 	/**
 	 * Return the CQP START positions of the main corpus texts
 	 */
+	@Override
 	public int[] getTextStartLimits() throws CqiClientException, IOException, CqiServerError, InvalidCqpIdException {
 		if (textLimits == null) {
 			textLimits = getStartLimits("<text>[]");
@@ -637,12 +658,13 @@
 	/**
 	 * Return the CQP END positions of the main corpus texts
 	 */
+	@Override
 	public int[] getTextEndLimits() throws CqiClientException, IOException, CqiServerError, InvalidCqpIdException {
 		if (textEndLimits == null) {
 			String queryResultId = queryResultNamePrefix + UUID.randomUUID().toString();
 			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
 					this.getQualifiedCqpId(), queryResultId, "<text>[] expand to text"); //$NON-NLS-1$
-			QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new CQLQuery("<text>[] expand to text")); //$NON-NLS-1$
+			QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this, new CQLQuery("<text>[] expand to text")); //$NON-NLS-1$
 			textEndLimits = queryResult.getEnds();
 		}
 		return textEndLimits;
@@ -653,11 +675,11 @@
 	 *
 	 * @return the nb texts
 	 * @throws CqiClientException the cqi client exception
-	 * @throws CqiServerError 
-	 * @throws IOException 
+	 * @throws CqiServerError
+	 * @throws IOException
 	 */
-	public int getNbTexts() throws CqiClientException, IOException, CqiServerError
-	{
+	@Override
+	public int getNbTexts() throws CqiClientException, IOException, CqiServerError {
 		if (nbtext == -1) {
 			StructuralUnit text_su = this.getStructuralUnit("text"); //$NON-NLS-1$
 			StructuralUnitProperty text_id_sup = text_su.getProperty("id"); //$NON-NLS-1$
@@ -673,16 +695,17 @@
 	 * @throws IOException
 	 * @throws CqiServerError
 	 */
+	@Override
 	public String[] getCorpusTextIdsList() throws CqiClientException, IOException, CqiServerError {
-
+		
 		int nbtext = getNbTexts();
 		int[] structs = new int[nbtext];
-		for(int i = 0 ; i < nbtext ; i++)
+		for (int i = 0; i < nbtext; i++)
 			structs[i] = i;
-
+		
 		StructuralUnit text_su = this.getStructuralUnit("text"); //$NON-NLS-1$
 		StructuralUnitProperty text_id_sup = text_su.getProperty("id"); //$NON-NLS-1$
-
+		
 		return CorpusManager.getCorpusManager().getCqiClient().struc2Str(text_id_sup.getQualifiedName(), structs);
 	}
 	
@@ -694,24 +717,23 @@
 	 * @throws CqiServerError the cqi server error
 	 * @throws CqiClientException the cqi client exception
 	 */
-	public HashMap<String, Integer>  getTextsIds() throws IOException, CqiServerError, CqiClientException
-	{
+	@Override
+	public HashMap<String, Integer> getTextsIds() throws IOException, CqiServerError, CqiClientException {
 		if (textids == null) {
-			textids = new HashMap<String, Integer>();
+			textids = new HashMap<>();
 			int nbtext = getNbTexts();
 			int[] structs = new int[nbtext];
-			for(int i = 0 ; i < nbtext ; i++)
+			for (int i = 0; i < nbtext; i++)
 				structs[i] = i;
-
+			
 			StructuralUnit text_su = this.getStructuralUnit("text"); //$NON-NLS-1$
 			StructuralUnitProperty text_id_sup = text_su.getProperty("id"); //$NON-NLS-1$
-
+			
 			String[] ids = CorpusManager.getCorpusManager().getCqiClient().struc2Str(text_id_sup.getQualifiedName(), structs);
-			for(int i = 0 ; i < ids.length ; i++)
-			{
+			for (int i = 0; i < ids.length; i++) {
 				textids.put(ids[i], structs[i]);
 			}
 		}
 		return textids;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 2441)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 2442)
@@ -58,7 +58,6 @@
 		this.pQuery = new CQLQuery(query);
 		this.pID = CqpObject.partNamePrefix + CQPCorpus.getNextSubcorpusCounter();
 		this.setVisible(false);
-		this.internalPersistable = true;
 		this.synchronizedWithParent = true;
 	}
 	
@@ -70,7 +69,6 @@
 		super(parametersNodePath);
 		
 		this.setVisible(false);
-		this.internalPersistable = true;
 		this.synchronizedWithParent = true;
 	}
 	
